# QextScintillaAPIs Class Reference

The QextScintillaAPIs class represents the textual API information used in call tips and for auto-completion. More...

`#include <qextscintillaapis.h>`

List of all members.

## Public Member Functions

- QextScintillaAPIs ()
- ~QextScintillaAPIs ()
- void add (const QString &entry)
- bool load (const QString &fname)
- void clear ()

## Detailed Description

The QextScintillaAPIs class represents the textual API information used in call tips and for auto-completion.

API information is read from one or more files. Each API function is described by a single line of text comprising the function's name, followed by the function's optional comma separated parameters enclosed in parenthesis, and finally followed by optional explanatory text.

A function name may be followed by a `?' and a number. The number is used by auto-completion to display a registered QPixmap with the function name.

All function names are used by auto-completion, but only those that include function parameters are used in call tips.

## Constructor & Destructor Documentation

QextScintillaAPIs::QextScintillaAPIs | ( |  | ) |

Constructs a QextScintillaAPIs instance.

QextScintillaAPIs::~QextScintillaAPIs | ( |  | ) |

Destroys the QextScintillaAPIs instance.

## Member Function Documentation

void QextScintillaAPIs::add | ( | const QString & | entry | ) |

Add the single API entry entry to the current set.

bool QextScintillaAPIs::load | ( | const QString & | fname | ) |

Load the API information from the file named fname, adding it to the current set. Returns TRUE if successful, otherwise FALSE.

void QextScintillaAPIs::clear | ( |  | ) |

Deletes all API information.